#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-JzDBw44hM6V3ALypVawifA
key:                  lsp-1.4.0.0-JzDBw44hM6V3ALypVawifA
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  8dc8923957a4dbfb4f2dd1abf7ee33b8
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-ILXIURcPKlOC2WNj0YaK6t:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-ILXIURcPKlOC2WNj0YaK6t:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-ILXIURcPKlOC2WNj0YaK6t:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-ILXIURcPKlOC2WNj0YaK6t:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-JzDBw44hM6V3ALypVawifA
depends:
    aeson-2.1.2.1-DWl9t7powqELSMlZOqEF1z
    async-2.2.5-FrngEs5mK8IFeImBJauzWE
    attoparsec-0.14.4-3oWeIwuAC9nGIXtuOKUSVb base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv exceptions-0.10.4
    hashable-1.4.3.0-GjMDKgDyLuqLq9SaBPRy7H
    hslogger-1.3.1.0-CaMLskj0eig8qIjBFU5vgX
    lens-5.2.3-8A9Ft0s5Rnl3WMDQsguI4A
    lsp-types-1.4.0.1-ILXIURcPKlOC2WNj0YaK6t mtl-2.2.2
    network-uri-2.6.4.2-65006M0DaxyE8mzwnMJ3Ay
    random-1.2.1.1-C6YbKOqj1b9FtHcTQfM70Q
    scientific-0.3.7.0-2BROXMcphQvBvR7InQl0nB
    sorted-list-0.2.2.0-8JyvDFRyjEfAcOVyZlT14l stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.20-GD5h4dXRiYp4CZJcEpki1R
    uuid-1.3.15-AdwZNATO4bBo8hs75I3gB

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

